* [PATCH v2] cpupower: Add support for setting EPP via systemd service
@ 2026-02-21 6:21 Jan Kiszka
2026-03-03 18:15 ` Shuah
0 siblings, 1 reply; 2+ messages in thread
From: Jan Kiszka @ 2026-02-21 6:21 UTC (permalink / raw)
To: Thomas Renninger, Shuah Khan, John B. Wyatt IV, John Kacur
Cc: linux-kernel, linux-pm
From: Jan Kiszka <jan.kiszka@siemens.com>
Extend the systemd service so that it can be used for tuning the Energy
Performance Preference (EPP) as well. Available options can be read from
/sys/devices/system/cpu/cpufreq/policy0/energy_performance_available_preferences.
The desired one can then be set in cpupower-service.conf.
Signed-off-by: Jan Kiszka <jan.kiszka@siemens.com>
---
Changes in v2:
- improve commit message
tools/power/cpupower/cpupower-service.conf | 5 +++++
tools/power/cpupower/cpupower.sh | 6 ++++++
2 files changed, 11 insertions(+)
diff --git a/tools/power/cpupower/cpupower-service.conf b/tools/power/cpupower/cpupower-service.conf
index 02eabe8e3614..abbb46967565 100644
--- a/tools/power/cpupower/cpupower-service.conf
+++ b/tools/power/cpupower/cpupower-service.conf
@@ -30,3 +30,8 @@
# its policy for the relative importance of performance versus energy savings to
# the processor. See man CPUPOWER-SET(1) for additional details
#PERF_BIAS=
+
+# Set the Energy Performance Preference
+# Available options can be read from
+# /sys/devices/system/cpu/cpufreq/policy0/energy_performance_available_preferences
+#EPP=
diff --git a/tools/power/cpupower/cpupower.sh b/tools/power/cpupower/cpupower.sh
index a37dd4cfdb2b..6283e8bf275d 100644
--- a/tools/power/cpupower/cpupower.sh
+++ b/tools/power/cpupower/cpupower.sh
@@ -23,4 +23,10 @@ then
cpupower set -b "$PERF_BIAS" > /dev/null || ESTATUS=1
fi
+# apply Energy Performance Preference
+if test -n "$EPP"
+then
+ cpupower set -e "$EPP" > /dev/null || ESTATUS=1
+fi
+
exit $ESTATUS
--
2.47.3
^ permalink raw reply [flat|nested] 2+ messages in thread
* Re: [PATCH v2] cpupower: Add support for setting EPP via systemd service
2026-02-21 6:21 [PATCH v2] cpupower: Add support for setting EPP via systemd service Jan Kiszka
@ 2026-03-03 18:15 ` Shuah
0 siblings, 0 replies; 2+ messages in thread
From: Shuah @ 2026-03-03 18:15 UTC (permalink / raw)
To: Jan Kiszka, Thomas Renninger, Shuah Khan, John B. Wyatt IV, John Kacur
Cc: linux-kernel, linux-pm
On 2/20/26 23:21, Jan Kiszka wrote:
> From: Jan Kiszka <jan.kiszka@siemens.com>
>
> Extend the systemd service so that it can be used for tuning the Energy
> Performance Preference (EPP) as well. Available options can be read from
> /sys/devices/system/cpu/cpufreq/policy0/energy_performance_available_preferences.
> The desired one can then be set in cpupower-service.conf.
>
> Signed-off-by: Jan Kiszka <jan.kiszka@siemens.com>
> ---
>
> Changes in v2:
> - improve commit message
>
Applied to https://web.git.kernel.org/pub/scm/linux/kernel/git/shuah/linux.git/log/?h=cpupower
for my next pull request to Rafael.
thanks,
-- Shuah
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2026-03-03 18:15 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-02-21 6:21 [PATCH v2] cpupower: Add support for setting EPP via systemd service Jan Kiszka
2026-03-03 18:15 ` Shuah
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
all inboxes | Powered by JetHome®